Bug 1018885 - Syncing content to a child node is taking a very long time
Syncing content to a child node is taking a very long time
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: nodes (Show other bugs)
Master
Unspecified Unspecified
high Severity high
: ---
: 2.3.0
Assigned To: pulp-bugs
Preethi Thomas
: Triaged
Depends On: 1017924
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-14 11:28 EDT by Preethi Thomas
Modified: 2013-12-09 09:30 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1017924
Environment:
Last Closed: 2013-12-09 09:30:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Jeff Ortel 2013-10-14 12:06:47 EDT
https://github.com/pulp/pulp/pull/660
Comment 2 Jeff Ortel 2013-10-14 12:07:27 EDT
build: 2.3.0-0.19.beta
Comment 3 Preethi Thomas 2013-10-21 12:42:26 EDT
verified

First time node sync of rhel6.4 & 6.4 kickstart finished in less that 25 minutes.

[root@qe-blade-03 ~]# pulp-admin node bind --repo-id rhel64-os --node-id node1
Node bind succeeded.

Note: Repository [ rhel64-os ] will be included in node synchronization.

[root@qe-blade-03 ~]# time pulp-admin node sync run --node-id node1
This command may be exited via ctrl+c without affecting the request.

[-]
Waiting to begin...



(1/2) Repository: rhel64-ks
[==================================================] 100%


(2/2) Repository: rhel64-os
[==================================================] 100%




Synchronization succeeded

+----------------------------------------------------------------------+
                       Child Node Synchronization
+----------------------------------------------------------------------+

Repository: 
  Action: Added
  Id:     rhel64-ks
  Units:  
    Added:   3862
    Removed: 0
    Updated: 0

Repository: 
  Action: Added
  Id:     rhel64-os
  Units:  
    Added:   13203
    Removed: 0
    Updated: 1




real	22m34.461s
user	0m14.965s
sys	0m0.972s
[root@qe-blade-03 ~]#
Comment 4 Preethi Thomas 2013-12-09 09:30:15 EST
Pulp 2.3 released.

Note You need to log in before you can comment on or make changes to this bug.